Module | REXMLBuilder::REXMLUtil
In: | lib/facets/more/rexmlbuilder.rb

Module provides the build methods in an independent namespace.

### Methods

attlist! cdata comment doctype! document element element! entity! instruct instruction new notation! pi raw text xml

### Public Instance methods

attlist!( *args )
cdata( str, *args )
comment( str, *args )
doctype!( *args )

DTD declarations

document( options={} )

New REXML document.

element( tag, *args )
element!( *args )
entity!( *args )
instruct( name, *args )
instruction( name, *args )

Alias for instruct

new( options={} )

Alias for document

notation!( *args )
pi( name, *args )

Alias for instruct

raw( str )

Add raw XML markup

text( str, *args )
xml( version=nil, *args )

XML declaration instruction.

[Validate]